
From: Kevin Corry <kevcorry@us.ibm.com>

No need to lock kcopyd pages.

From: Alasdair Kergon <agk@redhat.com>
Signed-off-by: Kevin Corry <kevcorry@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/kcopyd.c |    2 --
 1 files changed, 2 deletions(-)

diff -puN drivers/md/kcopyd.c~dm-2-5-kcopyd-no-need-to-lock-pages drivers/md/kcopyd.c
--- 25/drivers/md/kcopyd.c~dm-2-5-kcopyd-no-need-to-lock-pages	Wed Jun  9 14:23:13 2004
+++ 25-akpm/drivers/md/kcopyd.c	Wed Jun  9 14:23:13 2004
@@ -58,13 +58,11 @@ static struct page_list *alloc_pl(void)
 		return NULL;
 	}
 
-	SetPageLocked(pl->page);
 	return pl;
 }
 
 static void free_pl(struct page_list *pl)
 {
-	ClearPageLocked(pl->page);
 	__free_page(pl->page);
 	kfree(pl);
 }
_
